from snek.system.model import BaseModel, ModelField


class Container(BaseModel):
    id = ModelField(name="id", required=True, kind=str)
    name = ModelField(name="name", required=True, kind=str)
    status = ModelField(name="status", required=True, kind=str)
    resources = ModelField(name="resources", required=False, kind=str)
    user_uid = ModelField(name="user_uid", required=False, kind=str)
    path = ModelField(name="path", required=False, kind=str)
    readonly = ModelField(name="readonly", required=False, kind=bool, default=False)
